Subject: Re: problems loading 2.6.25 kernel onto PQ2FADS-VR board

From: Scott Wood <[email-masked]>
Date: Wed, 12 Nov 2008 15:26:46 -0600

Jyotshna Cherukuri wrote:
> Bytes transferred = 12288 (3000 hex)
> => bootm 400000 - 800000
> ## Booting image at 00400000 ...
>    Image Name:   Linux-2.6.25
>    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>    Data Size:    1624845 Bytes =  1.5 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
>    Uncompressing Kernel Image ... OK
>    Booting using the fdt at 0x800000
>    Loading Device Tree to 007fc000, end 007fefff ... OK
> 
> And Then it stops. The board doesn't print anything else. Can anyone 
> please help me to whats going on and to what I need to  enable to see 
> some debug info on the serial port ( minicom in my case ).
> 
> P.S :  I did enable all the early level debugging in the kernel but yet 
> I dont see anything on the console.

Make sure that CONFIG_PPC_EARLY_DEBUG_CPM_ADDR is set properly for 
u-boot; it probably wants 0xf0000088.  The default vaule corresponds to 
cuImage.

If that doens't help, try booting the cuImage (without passing a device 
tree from u-boot); it's what I tested with as there was no device tree 
aware u-boot for this board at the time.  If that works and uImage 
doesn't, then there may be a mismatch between what u-boot is setting up 
in the device tree and what the kernel expects.

-Scott